VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Folder Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Folder:

## Classes
class | FilterSpec
class | Summary
class | Type

## Avaliable Methods
public method | new ()
public method | list ()

## Detailed Description

The Folder interface provides methods for manipulating a vCenter Server folder. Constant String::RESOURCE_TYPE # The resource type for the vCenter folder

## Member Function Documentation

public method Com::Vmware::Vcenter::Folder::list | ( |  | ) |

Returns information about at most 1000 visible (subject to permission checks) folders in vCenter matching the class Com::Vmware::Vcenter::Folder::FilterSpec .

Parameters

  filter | [OPTIONAL] Specification of matching folders for which information should be returned. If null , the behavior is equivalent to a class Com::Vmware::Vcenter::Folder::FilterSpec with all fields null which means all folders match the filter. . The value must be Com::Vmware::Vcenter::Folder::FilterSpec or None.

Return values

  Commonly | used information about the folders matching the class Com::Vmware::Vcenter::Folder::FilterSpec . The return type will be Array of Com::Vmware::Vcenter::Folder::Summary

Exceptions

  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the :attr:`Com::Vmware::Vcenter::Folder::FilterSpec.type` field contains a value that is not supported by the server.
  Com::Vmware::Vapi::Std::Errors::UnableToAllocateResource | if more than 1000 folders match the class Com::Vmware::Vcenter::Folder::FilterSpec .
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $filter = $args {filter};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Folder::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Folder.pm